Page MenuHomeFreeBSD

multimedia/mlt: Update to 6.2.0
ClosedPublic

Authored by woodsb02 on Jun 8 2016, 7:08 AM.

Details

Summary

multimedia/mlt:

  • Update to 6.2.0
  • Mark KDE4 option as implying/requiring QT4 option
  • Move USE_KDE4=kdelibs to new options helpers

Changes this release:

http://mltframework.blogspot.fr/2016/04/version-620-released.html
http://mltframework.blogspot.fr/2016/02/version-600-released.html
http://mltframework.blogspot.fr/2015/07/version-098-released.html

This update also allows multimedia/mlt to build against ffmpeg 3.0.x.
The ports tree currently still has multimedia/ffmepg at version 2.8.7,
however this update is backwards compatible with ffmpeg 2.8.7. The
update of multimedia/ffmpeg to 3.0.x branch is waiting for ports which
depend on it to successfully build with the newer version of ffmpeg.

PR: 207390
Submitted by: olivierd
Approved by: avilla (maintainer timeout), makc, araujo (with kde hat)

Test Plan

poudriere bulk -t \
multimedia/mlt \
multimedia/py-mlt \
multimedia/openshot \
multimedia/kdenlive \
devel/synfig \
graphics/synfigstudio

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

woodsb02 updated this revision to Diff 17395.Jun 8 2016, 7:08 AM
woodsb02 retitled this revision from to multimedia/mlt: Update to 6.2.0.
woodsb02 updated this object.
woodsb02 edited the test plan for this revision. (Show Details)
woodsb02 added reviewers: adamw, mat, koobs.
woodsb02 added subscribers: olivierd, makc, araujo, avilla.
woodsb02 updated this object.Jun 8 2016, 7:26 AM
woodsb02 updated this revision to Diff 17396.Jun 8 2016, 7:30 AM

Add USE_GNOME=cairo as notified by new stage-qa error:
Error: /usr/local/lib/mlt/libmltswfdec.so is linked to /usr/local/lib/libcairo.so.2 from graphics/cairo but it is not declared as a dependency
Warning: you need USE_GNOME+=cairo

mat accepted this revision.Jun 8 2016, 9:13 AM
mat edited edge metadata.
This revision is now accepted and ready to land.Jun 8 2016, 9:13 AM
mat added a comment.Jun 8 2016, 9:28 AM

Oh, about the cairo thing, are you sure it should not go with the USES=GTK2 case ?

mat added a comment.Jun 8 2016, 9:30 AM

Also, there is a possibility that cairo is brought by one of those dependency and bsd.gnome.mk is missing a chain of depends.

This revision was automatically updated to reflect the committed changes.
mat added a comment.Jun 8 2016, 5:21 PM

So, not really taking my comments into account.

In D6754#142471, @mat wrote:

So, not really taking my comments into account.

Sorry Mathieu. I read your comments and thought I had checked the points you had mentioned. I was intending on committing and replying to your comments. After committing, I realised that I had mis-interpretted your comment, and indeed there was something to be fixed, and immediately began working on the fix. I have submitted D6776 just now to implement your comments. My mistake for reading your point wrong in the first place.